### Virtual Method

# Hinoko FwIsoCtx create_source

since: 0.7

#### Declaration [src]

    gboolean
    create_source (
      HinokoFwIsoCtx* self,
      GSource** source,
      GError** error
    )

#### Description [src]

Create `GSource` for `GMainContext` to dispatch events for isochronous context.

Available since: 0.7

#### Parameters

`source`

  Type: `GSource`

  A `GSource`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.